KCmdLineOptions Struct Reference

`#include <kcmdlineargs.h>`

## Public Attributes

const char * | name
const char * | description
const char * | def

## Detailed Description

Structure that holds command line options.

This class is intended to be used with the KCmdLineArgs class, which provides convenient and powerful command line argument parsing and handling functionality.

See also
  KCmdLineArgs for additional usage information

Definition at line 40 of file kcmdlineargs.h.

## Member Data Documentation

const char* KCmdLineOptions::def

The default value for the option, if it is not specified on the command line.

Definition at line 65 of file kcmdlineargs.h.

const char* KCmdLineOptions::description

The text description of the option as should appear in myapp –help.

This value should be wrapped with I18N_NOOP().

Definition at line 60 of file kcmdlineargs.h.

const char* KCmdLineOptions::name

The name of the argument as it should be called on the command line and appear in myapp –help.

Note that if this option starts with "no" that you will need to test for the name without the "no" and the result will be the inverse of what is specified. i.e. if "nofoo" is the name of the option and myapp –nofoo is called:

KCmdLineArgs::parsedArgs()->isSet("foo"); // false

Definition at line 55 of file kcmdlineargs.h.

The documentation for this struct was generated from the following file:

- kcmdlineargs.h

KDE Home | KDE Accessibility Home | Description of Access Keys